require("../../../../../../_virtual/_rolldown/runtime.js");
const require_index = require("../../utils/index.js");
let _pisell_utils = require("@pisell/utils");
//#region src/components/table/Table/fields/numberRange/filterUtil/index.ts
function filterUtil_default({ value, key, item }) {
	if (!value || !(0, _pisell_utils.isNumber)(value.min) || !(0, _pisell_utils.isNumber)(value.max)) return true;
	const dataValue = require_index.getValueByKeys(item, key);
	if ((value === null || value === void 0 ? void 0 : value.max) >= (value === null || value === void 0 ? void 0 : value.min)) return dataValue >= (value === null || value === void 0 ? void 0 : value.min) && dataValue <= (value === null || value === void 0 ? void 0 : value.max);
	return true;
}
//#endregion
exports.default = filterUtil_default;
